
### Demonstration of document creation with PyDOM 

from xml.dom import core

# Create the document

doc = core.createDocument()                  
html = doc.createElement('html')
html.setAttribute('lang', 'en')
doc.appendChild (html)

# Do the header

head = doc.createElement('head')
title = doc.createElement('title')

text = doc.createTextNode("This is the title")
title.appendChild(text)
head.appendChild (title)                # added this
html.appendChild(head)                  # and this
html.appendChild(doc.createTextNode("\n"))

# Do the body

body=doc.createElement("body")
h1=doc.createElement("h1")
h1.appendChild(doc.createTextNode("This is the title"))
body.appendChild(h1)
html.appendChild(body)

# Print it out

print doc.toxml()

# Give an overview of the root element contents

print
print "Root node: "+html.get_tagName()
for node in html.get_childNodes():
    print "Child: ", node
