
from xml.sax import saxlib,saxexts,saxutils

class ExampleApp(saxlib.DocumentHandler):
    def __init__(self):
        self.count=0
    def startElement(self,name,attrs):
        self.count=self.count+1
    def endDocument(self):
        print "There were",self.count,"elements."

p=saxexts.make_parser()
p.setDocumentHandler(ExampleApp())
p.setErrorHandler(saxutils.ErrorPrinter())
p.parse("test_error.xml")
